import '../../../../core/errors/result.dart';
import '../repositories/auth_repository.dart';
import '../entities/user.dart';

class LoginUseCase {
  final AuthRepository _repository;

  LoginUseCase(this._repository);

  Future<Result<User>> execute(String email, String password) {
    return _repository.login(email, password);
  }
}
